/*
******************************************************************

Default und Custom CSS for Module Search

(c) sinntun.codes
******************************************************************
*/


/*** search-container
******************************************************************************* */

.search-container {
    position: absolute;
    top: 85px;
    right: 0;
    z-index: 999;
}

.search-container .search-input {
    padding: 6px;
    margin-top: 8px;
    font-size: 17px;
    border: none;
    width: 221px;
}

.search-container button {
    float: right;
    padding: 6px 10px;
    margin-top: 8px;
    /*margin-right: 16px;*/
    background: #ddd;
    font-size: 17px;
    border: none;
    cursor: pointer;
}

.search-container button:hover {
    background: #ccc;
}

@media only screen and (max-width: 1024px) {
    .search-container {
        display: none;
    }

    #mobile-searchbutton {
        display: inline-block !important;
    }
}

@media only screen and (max-width: 1040px) {
    .search-container .search-input {
        width: 160px;
    }
}



#mobile-searchbutton {
    display: none;
    position: absolute;
    right: 70px;
    width: 45px;
    padding: 5px;
    cursor: pointer;
    top: 5px;

}

#mobile-searchbutton .icon, #mobile-searchbutton .text {
    display: inline-block;
    width: 45px;
    text-align: center;
    font-size: 22px;
}


#mobile-search-box {
    position: relative;
    z-index: 999;
    width: 100%;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 10px 40px 00px;
    height: 0;
    overflow: hidden;
    -webkit-transition: ease-in-out .4s;
    -o-transition: ease-in-out .4s;
    transition: ease-in-out .4s;
    display: none;
    top: 5px;
}

#mobile-search-box .search-input {
    padding: 6px;
    margin-top: 8px;
    font-size: 17px;
    border: none;
    background-color: #efefef;
    float: left;
    width: calc(100% - 65px);
}

#mobile-search-box button {
    float: left;;
    padding: 6px 10px;
    margin-top: 8px;
    margin-right: 16px;
    font-size: 17px;
    border: none;
    cursor: pointer;
}

/*** search-main
******************************************************************************* */
.search-main {
    width: 100%;
}

.search-main .searchresult-header {
    margin-bottom: 30px;
}

.search-main .searchresult-header .keyword {
    font-weight: 700;
}

.search-main .searchresult-group {
    margin-bottom: 30px;
    width: 100%;
}

.search-main .searchresult-group .header:before {
    font-family: "Font Awesome 5 Free", sans-serif;
    font-weight: 900;
    content: '\f107';
    display: inline-block;
    margin-right: 10px;
    font-size: 22px;
    -webkit-transition: ease-in-out .3s;
    -o-transition: ease-in-out .3s;
    transition: ease-in-out .3s;
}

.search-main .searchresult-group .header.active:before {
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.search-main .searchresult-group .header {
    font-size: 21px;
    font-family: klavika-bold, arial, sans-serif;
    display: block;
    border-bottom: 1px solid #A4B7E0;
    margin-bottom: 15px;
    padding: 0 0 3px 17px;
    background: url(/_images/subnav-trigger.png) left 4px no-repeat;
    background-size: 11px 64px;
    cursor: pointer;
}

.search-main .searchresult-group .header.active {
    background-position: left -47px;
}

.search-main .searchresult-list {
    display: none;
}

.search-main .searchresult-list ul {
    display: inline;
}

.search-main .searchresult-item {
    margin-bottom: 10px;
    padding-bottom: 10px;
    border-bottom: 1px dotted #706F6F;
    display: block;
    width: 100%;
    float: none;
}

.search-main .searchresult-link {
    font-size: 16px;
}

.search-main .searchresult-item .keyword {
    font-weight: 700;
}

.search-main .searchresult-item .date {
    font-size: 12px;
    line-height: 14px;
    margin-bottom: 5px;
}
